#########################################################################
#
# This file is part of the SAMRAI distribution.  For full copyright
# information, see COPYRIGHT and LICENSE.
#
# Copyright:     (c) 1997-2023 Lawrence Livermore National Security, LLC
#
#########################################################################

####
# This is the share configuration of jobs for tioga

####
# In pre-build phase, allocate a node for builds
.on_tioga:
  tags:
    - shell
    - tioga
  rules:
    - if: '$CI_COMMIT_BRANCH =~ /_qnone/ || $SAMRAI_CI_TIOGA == "OFF"' #run except if ...
      when: never
    - if: '$CI_JOB_NAME =~ /release_resources/'
      when: always
    - when: on_success

####
# Generic tioga test job, extending test script
.build_and_test_on_tioga:
  stage: build_and_test
  extends: [.build_and_test_toss_4_x86_64_ib_cray_script, .on_tioga]

.build_and_test_on_tioga_advanced:
  extends: [.build_and_test_on_tioga, .advanced_pipeline]


####
# Build and test jobs for specific compilers, extends generic tioga build and test job
amdclang_rocm_5_5_0 (build_only on tioga):
  variables:
    COMPILER: "amdclang-rocm-5.5.0"
  extends: .build_and_test_on_tioga
